# lib/Software/License/AGPL_3/or_later.pm #

#   This file is part of Software-License-OrLaterPack.
#
#   Software-License-OrLaterPack is free software: you can redistribute it
#   and/or modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation, either version 3 of the
#   License, or (at your option) any later version.
#
#   Software-License-OrLaterPack is distributed in the hope that it will be
#   useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
#   Public License for more details.
#
#   You should have received a copy of the GNU General Public License along
#   with Software-License-OrLaterPack.  If not, see
#   <http://www.gnu.org/licenses/>.

=head1 DESCRIPTION

See documentation on L<Software::License::GPL_3::or_later>. This module does the same but provides
the GNU Affero General Public License.

=cut

package Software::License::AGPL_3::or_later;

# ABSTRACT: AGPLv3+ license for Software::License

use strict;
use warnings;

# VERSION

use parent 'Software::License::AGPL_3';
use Software::License::GPL_3::or_later;

# The name of the license.
sub _name { 'the GNU Affero General Public License'; };

# All other methods are exactly the same as methods in `Software::License::GPL_3::or_later`, so let
# us delegate the work.
foreach ( qw{ _version name version notice } ) {
    no strict 'refs';
    *{ $_ } = \&{ "Software::License::GPL_3::or_later::$_" };
}; # foreach

1;

__DATA__

# INSERT_BLOCK: lib/Software/License/GPL_3/or_later.pm Notice

# end of file #
