# README

## What?

This is the *actual source* of the `Software-License-OrLaterPack` Perl 
distribution. (In Perl, a distribution is a set of modules (and accompanying 
files) packed into tarball and uploaded to CPAN.)

The `Software-License-OrLaterPack` is an add-on for `Software::License` module, 
it provides licenses GPLv3+ (GNU GPL version 3 *or any later*) and AGPLv3+ (GNU 
AGPL version 3 *or any later*). If you are going to release *your* Perl 
distribution under the terms of GPLv3+ or AGPLv3+ license, you will likely be 
interested in *using* `Software-License-OrLaterPack` *distribution*.

Since Perl is an interpreting language, modules in 
`Software-License-OrLaterPack` distribution tarball are Perl sources, but they 
are not *actual sources*, because they are generated (or preprocessed) by 
`Dist::Zilla`. If you are going to *develop* the 
`Software-License-OrLaterPack`, you will likely need the *actual souce*, not 
distribution.


## Installing prebuilt distribution from CPAN

`Software-License-OrLaterPack` distribution is uploaded to 
[CPAN](https://metacpan.org/release/Software-License-OrLaterPack).

To install the latest version directly from CPAN:

    $ cpanm Software::License::OrLaterPack

To install the specific version (e. g. 0.007) directly from CPAN:

    $ cpanm Software::License::OrLaterPack@0.007


## Building a distribution from source, testing and installing

To build a distribution from source, you will need Perl interpreter and 
`Dist::Zilla`. Run

    $ PERL5LIB=lib:$PERL5LIB dzil build

in the source directory to build a distribution tarball. If some required 
`Dist::Zilla` plugins are missed, `dzil` tool will warn you and show the 
command to install all the required plugins.

To run the tests:

    $ PERL5LIB=lib:$PERL5LIB dzil test

To install the distribution:

    $ PERL5LIB=lib:$PERL5LIB dzil install
    
or

    $ cpanm ./Software-License-OrLaterPack-VERSION.tar.gz

where VERSION is a version of built distribution.


## Documentation

Easiest way is browsing the documentation published on 
[CPAN](https://metacpan.org/pod/Software::License::OrLaterPack).

Alternatively, build the distribution first:

    $ PERL5LIB=lib:$PERL5LIB dzil build

then use `perldoc` to browse documentation, e. g.:

    $ PERL5LIB=lib:$PERL5LIB perldoc Software::License::OrLaterPack
    $ PERL5LIB=lib:$PERL5LIB perldoc Software::License::GPL_3::or_later

If you have the distribution installed, there is no need in setting `PERL5LIB`:

    $ perldoc Software::License::OrLaterPack
    $ perldoc Software::License::GPL_3::or_later


## Bug reports and feedback

See `BUGS` file.


## Copyright and license

Copyright © 2015 Van de Bugger

Software-License-OrLaterPack is free software: you can redistribute it and/or
modify it under the terms of the GNU General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your option)
any later version.

Software-License-OrLaterPack is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
more details.

You should have received a copy of the GNU General Public License along with
Software-License-OrLaterPack.  If not, see <http://www.gnu.org/licenses/>.


<!-- end of file -->
